Bug 30107 - When editing a desk, the currently logged in library is selected
Summary: When editing a desk, the currently logged in library is selected
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-15 12:11 UTC by Katrin Fischer
Modified: 2022-04-08 14:48 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Corrects a problem on the administration page for circulation desks where the default library was always being set to the logged in library instead of the library of the desk.
Version(s) released in:
22.05.00,21.11.05


Attachments
Bug 30107: When editing desks default to the branch the desk belongs to (1.63 KB, patch)
2022-02-16 19:49 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 30107: When editing desks default to the branch the desk belongs to (2.40 KB, patch)
2022-03-09 18:43 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 30107: When editing desks default to the branch the desk belongs to (2.55 KB, patch)
2022-03-28 13:43 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30107: When editing desks default to the branch the desk belongs to (2.61 KB, patch)
2022-03-28 21:31 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-02-15 12:11:44 UTC
Instead of showing the library the desk was added to, on editing a desk, it always shows the library the user is currently logged in as preselected.

Requires UseCirculationDesks to be activated.
Comment 1 Lucas Gass 2022-02-16 19:49:56 UTC
Created attachment 130699 [details] [review]
Bug 30107: When editing desks default to the branch the desk belongs to

TO test:
1. Turn on UseCirculationDesks
2. Add some desks via Administration > Circulation desks, make several and have them belong to different libraries.
3. Go edit some of those desks and notice the Library: dropdown always defaults to the users logged in branch
4. Apply patch
5. Try editing desk again, now the dropdown should default the library that the desk belongs to.
Comment 2 Katrin Fischer 2022-02-19 20:15:18 UTC
Hi Lucas, thx for picking this one up! 

I believe there is a small regression with the fix: When you are adding a desk, preselecting the current library makes sense, but now the empty option is preselected. Is there a chance we could distinguish between adding and editing as we do for other forms?
Comment 3 Lucas Gass 2022-03-09 18:43:05 UTC
Created attachment 131529 [details] [review]
Bug 30107: When editing desks default to the branch the desk belongs to

TO test:
1. Turn on UseCirculationDesks
2. Add some desks via Administration > Circulation desks, make several and have them belong to different libraries.
3. Go edit some of those desks and notice the Library: dropdown always defaults to the users logged in branch
4. Apply patch
5. Try editing desk again, now the dropdown should default the library that the desk belongs to.
6. Try making a new desk and make sure it defaults to the logged in branch
Comment 4 Séverine Queune 2022-03-28 13:43:46 UTC
Created attachment 132331 [details] [review]
Bug 30107: When editing desks default to the branch the desk belongs to

TO test:
1. Turn on UseCirculationDesks
2. Add some desks via Administration > Circulation desks, make several and have them belong to different libraries.
3. Go edit some of those desks and notice the Library: dropdown always defaults to the users logged in branch
4. Apply patch
5. Try editing desk again, now the dropdown should default the library that the desk belongs to.
6. Try making a new desk and make sure it defaults to the logged in branch

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 5 Séverine Queune 2022-03-28 13:44:56 UTC
Seems ok for me : I didn't notice the regression Katrin talked about.
Thanks Lucas !
Comment 6 Katrin Fischer 2022-03-28 14:42:00 UTC
I think it was fixed in the lastest version of the patch - will double-check in QA :)
Comment 7 Katrin Fischer 2022-03-28 21:31:46 UTC
Created attachment 132371 [details] [review]
Bug 30107: When editing desks default to the branch the desk belongs to

TO test:
1. Turn on UseCirculationDesks
2. Add some desks via Administration > Circulation desks, make several and have them belong to different libraries.
3. Go edit some of those desks and notice the Library: dropdown always defaults to the users logged in branch
4. Apply patch
5. Try editing desk again, now the dropdown should default the library that the desk belongs to.
6. Try making a new desk and make sure it defaults to the logged in branch

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Fridolin Somers 2022-04-05 15:28:58 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 9 Kyle M Hall 2022-04-08 14:48:58 UTC
Pushed to 21.11.x for 21.11.05